Subject: Re: [V2 PATCH 2/9] csiostor: Chelsio FCoE offload driver submission (sources part 2).

From: Naresh Kumar Inna <[email-masked]>
Date: Wed, 5 Sep 2012 23:13:46 +0530

On 9/5/2012 9:59 PM, Stephen Hemminger wrote:
> On Wed,  5 Sep 2012 18:03:55 +0530
> Naresh Kumar Inna <[email-masked]> wrote:
> 
>> This patch contains code for driver initialization, driver resource
>> allocation and the Work Request module functionality. Driver initialization
>> includes module entry/exit points, registration with PCI, FC transport and
>> SCSI mid layer subsystems. The Work Request module provides services for
>> allocation of DMA queues, posting Work Requests on them and processing
>> completions.
>>
>> Signed-off-by: Naresh Kumar Inna <[email-masked]>
> 
> Although the comments say you are using proc fs, there is no
> code here related to that.

I will remove that comment.

> 
> Any use of debugfs must be conditional the DEBUG_FS kernel configuration
> parameter.  Your code probably will break if DEBUG_FS is not
> enabled.  For a possible alternative see how a sub-config parameter
> was added in sky2 driver.
> 

It appears that debugfs_create_dir() returns an error if DEBUG_FS is not
enabled. Considering the driver handles this error and continues
initialization, do you still think I should guard this code within DEBUG_FS?

Thanks.